<div class="flex flex-col flex-auto w-full bg-forcewhite" style="
        background-image: url('../../assets/background.png');
        background-size: cover;
        background-repeat: no-repeat;
        height: 290px;
    ">
    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" routerLink="/dashboard">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon>
            <span class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 cursor-pointer" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="container flex flex-wrap mx-auto">
        <div class="grid grid-cols-1 xl:grid-cols-2 gap-8 w-full">
            <div class="flex items-center">
                <div class="flex flex-col" *ngIf="
                        series.series[0].data &&
                        series.series[0].data.length > 0
                    ">
                    <div style="color: #0038ff"
                        class="text-xl font-Medium-18 tracking-tight text-indigo-900 leading-6 truncate">
                        {{ series.series[0].data[0].x }} -
                        {{ series.series[0].data[7].x }}
                    </div>
                    <div style="color: #0038ff" class="font-Semibold-40 text-indigo-900 mt-4 leading-none">
                        {{ series.series[0].data[0].y }} -
                        {{ series.series[0].data[7].y }}
                    </div>
                    <!-- <div class="flex items-center font-Medium-18 mt-6 leading-none"
                        [ngStyle]="{ color: series.series[0].data[7].difference < 0 ? '#FF0000' : '#00f904' }">
                        <img class="w-3" src="assets/icons/circle-16.ico" alt="" />
                        &nbsp; 3.89% ({{ series.series[0].data[7].difference }})
                    </div> -->
                    <div class="flex items-center font-Bold-18 font-bfd3ff leading-none" [ngStyle]="{
                            color:
                                series.series[0].data[7].difference < 0
                                    ? '#FF0000'
                                    : '#00f904'
                        }">
                        <img class="w-3 mr-3" [src]="
                                series.series[0].data[7].difference > 0
                                    ? 'assets/icons/circle-16.ico'
                                    : series.series[0].data[7].difference < 0
                                    ? 'assets/icons/red-circle.png'
                                    : 'assets/icons/grey-circle-16.ico'
                            " />
                        &nbsp;
                        {{ series.series[0].data[7].percentageDifference }}
                        RM({{ series.series[0].data[7].difference }})
                    </div>
                </div>
            </div>
        </div>

        <!-- <div class="container flex flex-wrap mx-auto">
            <div id="text20" class="grid grid-cols-1 xl:grid-cols-2 gap-8 w-full">
                <div id="topUpFont" class="flex items-center">
                    <div class="flex flex-col">
                        <div class="text-xl font-Medium-18 tracking-tight font-141461 leading-none truncate">
                            11 Dec 2022 - 17 Dec 2022
                        </div>
                        <div class="font-Semibold-40 font-141461 mt-4 leading-none">
                            RM{{ totalAmount }}/{{ availAmount }}g
                        </div>
                        <div id="text14" style="color: #00f904"
                            class="flex items-center font-Medium-18 text-green-600 mb-10 mt-6 leading-none">
                            <img img class="w-3" src="assets/icons/circle-16.ico" alt="" />
                            &nbsp; 0.00% (RM{{ availAmount }})
                        </div>
                    </div>
                </div>
            </div>
        </div> -->

        <div class="gap-8 w-full mt-15">
            <!-- BGD Performance -->
            <div class="xl:col-span-3 flex flex-col flex-auto mb-5 mt-8">
                <div class="flex flex-col py-6 pb-4 items-end">
                    <div id="text12" class="flex items-center justify-between">
                        <div id="text11" class="flex space-x-4 ml-2">
                            <button class="sm:h-11 sm:min-h-6 button-r0 graph-button" mat-button
                                (click)="onSelectInterval('7')">
                                <span class="font-Regular-18 text-sm">1W</span>
                            </button>
                            <button class="sm:h-11 sm:min-h-6 button-r0 graph-button" mat-button
                                (click)="onSelectInterval('30')">
                                <span class="font-Regular-18 text-sm">1M</span>
                            </button>
                            <button class="sm:h-11 sm:min-h-6 button-r0 graph-button" mat-button
                                (click)="onSelectInterval('180')">
                                <span class="font-Regular-18 text-sm">6M</span>
                            </button>
                            <button class="sm:h-11 sm:min-h-6 button-r0 graph-button" mat-button
                                (click)="onSelectInterval('365')">
                                <span class="font-Regular-18 text-sm">1Y</span>
                            </button>
                            <!-- <button class="sm:h-11 sm:min-h-6 button-r0 graph-button" mat-button
                                (click)="onSelectInterval('1095')">
                                <span class="font-Regular-18 text-sm">3Y</span>
                            </button> -->
                            <button class="sm:h-11 sm:min-h-6 button-r0 graph-button" mat-button
                                (click)="onSelectInterval('1095')">
                                <span class="font-Regular-18 text-sm">3Y</span>
                            </button>
                        </div>
                    </div>
                    <div class="flex items-center justify-center mt-6 space-x-4">
                        <div>
                            <!-- <div class="font-semibold text-3xl md:text-5xl tracking-tighter">
								RM {{ sellprice }}/g
							</div>
							<br>
							<div class="flex">
								<div class="font-medium text-sm text-secondary leading-none text-green-400">
									+4.28% &nbsp;
								</div>
								<div class="font-medium text-sm text-secondary leading-none ">
									since last week
								</div>
							</div> -->
                        </div>
                        <!-- <div class="flex flex-col ml-8 md:ml-16">
                            <div class="font-semibold text-3xl md:text-5xl tracking-tighter">{{data.accountBalance.ami | currency:'USD'}}</div>
                            <div class="font-medium text-sm text-secondary leading-none">Average Monthly Income</div>
                        </div> -->
                    </div>
                </div>
                <div *ngIf="isChartLoaded" class="flex flex-col flex-auto">
                    <!-- <div id="chart">
                        <apx-chart #chart [series]="chartOptions.series" [chart]="chartOptions.chart"
                            [xaxis]="chartOptions.xaxis" [dataLabels]="series.dataLabels"></apx-chart>
                    </div> -->
                    <apx-chart class="flex-auto w-full h-full" [chart]="series.chart" [colors]="series.colors"
                        [fill]="series.fill" [series]="series.series" [stroke]="series.stroke"
                        [tooltip]="series.tooltip" [legend]="series.legend" [dataLabels]="series.dataLabels"
                        [xaxis]="series.xaxis" [yaxis]="series.yaxis">
                    </apx-chart>
                </div>
            </div>
        </div>
    </div>
</div>